import { ReactNode } from 'react';
export interface AntInputProps {
    name?: string;
    size?: any;
    value: string;
    type: string;
    defaultValue?: string;
    placeholder?: string;
    bordered?: boolean;
    disabled?: boolean;
    maxLength?: number | undefined;
    addonAfter?: ReactNode;
    addonBefore?: ReactNode;
    allowClear?: boolean;
    autoSize?: boolean;
    prefix?: ReactNode;
    suffix?: ReactNode;
    onChange: (val: any) => void;
}
export declare enum AntInputType {
    default = "text",
    email = "email",
    number = "number",
    password = "password",
    date = "date",
    textArea = "textarea"
}
//# sourceMappingURL=AntInput.types.d.ts.map