import { CSSProperties, ReactNode } from 'react';
import { LabeledValue } from 'antd/lib/select';
export interface AntSelectProps {
    disabled?: boolean;
    allowClear?: boolean;
    autoClearSearchValue?: boolean;
    autoFocus?: boolean;
    bordered?: boolean;
    clearIcon?: ReactNode;
    defaultActiveFirstOption?: boolean;
    defaultOpen?: boolean;
    defaultValue?: string | Array<string> | number | Array<number> | LabeledValue | Array<LabeledValue>;
    dropdownClassName?: string;
    dropdownMatchSelectWidth?: boolean | number;
    dropdownRender?: (originNode: ReactNode) => any;
    dropdownStyle?: CSSProperties;
    filterOption?: any;
    filterSort?: (optionA: any, optionB: any) => number;
    getPopupContainer?: (datatriggerNode: any) => any;
    labelInValue?: boolean;
    listHeight?: number;
    loading?: boolean;
    maxTagCount?: number;
    maxTagPlaceholder?: any;
    maxTagTextLength?: number;
    menuItemSelectedIcon?: ReactNode;
    mode?: 'multiple' | 'tags' | undefined;
    notFoundContent?: ReactNode;
    open?: boolean | undefined;
    optionFilterProp?: string;
    optionLabelProp?: string;
    options?: any;
    placeholder?: ReactNode;
    removeIcon?: ReactNode;
    searchValue?: string;
    showArrow?: boolean | undefined;
    showSearch?: boolean | undefined;
    size?: any;
    suffixIcon?: ReactNode;
    tagRender?: any;
    tokenSeparators?: Array<string>;
    value: string | Array<string> | number | Array<number> | LabeledValue | Array<LabeledValue>;
    virtual?: boolean | undefined;
    onBlur?: () => void;
    onChange: (val: any) => void;
    onClear?: () => void;
    onDeselect?: () => void;
    onDropdownVisibleChange?: (open: any) => void;
    onFocus?: () => void;
    onInputKeyDown?: () => void;
    onMouseEnter?: () => void;
    onMouseLeave?: () => void;
    onPopupScroll?: () => void;
    onSearch?: () => void;
    onSelect?: () => void;
}
//# sourceMappingURL=AntSelect.types.d.ts.map